API ReferenceUnified modelsUnified invoice

Get paginated list of unified invoices

GET
/unified/invoices

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

page?number
Default1
limit?number
Default10
Range1 <= value <= 100

Response Body

application/json

curl -X GET "https://dev-backend.thelinks.ai/api/v1/unified/invoices"
{
  "data": [
    {
      "id": "inv_12345",
      "source_system": "xero",
      "source_system_img_url": "https://cdn.example.com/xero.png",
      "source_id": "xero_98765",
      "external_system_provider_id": "provider_001",
      "external_system_config_id": "config_abc",
      "external_system_data": {
        "custom_field": "value"
      },
      "supporting_data_definition_id": "support_001",
      "amount_due": "12000.00",
      "amount_paid": "12000.00",
      "amount_remaining": "0.00",
      "amount_overpaid": "0.00",
      "currency": "USD",
      "status": "PAID",
      "description": "Invoice for January 2024",
      "due_date": "2024-01-31T00:00:00Z",
      "effective_date": "2024-01-01T00:00:00Z",
      "period_start": "2024-01-01T00:00:00Z",
      "period_end": "2024-01-31T00:00:00Z",
      "is_primary": true,
      "unified_customer_id": "cust_12345",
      "source_system_customer_id": "ext_cust_67890",
      "local_was_deleted": false,
      "local_was_updated": true,
      "source_data_created_at": "2024-01-01T12:00:00Z",
      "is_active": true
    }
  ],
  "page": 1,
  "limit": 10,
  "totalPages": 5,
  "totalResults": 50
}